StyleTrasher = StyleTrasher or {} 


-- interesting tidbit: You must insert the item IDs, because otherwise you will get
-- some error. That's why the item ID has to be parsed to a string further down, and 
-- said string will be matched against the error with the item ids, which in term 
-- doesn't work with numbers. 
-- item ids can be found on esohead in the URLs.

-- if you want to create your own isWhatnot method, you need to
-- add both the list with the item numbers as well as the function
-- StyleTrasher.IsWhatnot(itemID) below. Watch for capitalization!

local isStyle = {
   ["33252"] = true, --adamantite
   ["33194"] = true, --bone
   ["33256"] = true, --corundum
   ["33150"] = true, --flint
   ["33257"] = true, --manganese
   ["33251"] = true, --molybdenum
   ["33255"] = true, --moonstone
   ["33254"] = true, --nickel
   ["33253"] = true, --obsidian
   ["33258"] = true, --starmetal   
}

--Returns:
--true/false if an item is a style item
function StyleTrasher.IsStyle(itemId)
   if type(itemId) == "number" then 
		itemId = tostring(itemId) 
   end
   return isStyle[itemId]
end